package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 考勤认证通过编码
*
* @author zxfei
*/
public enum DwMinorEnum {
    人脸认证通过("4b", "人脸认证通过"),
    刷卡加密码认证通过("02", "刷卡加密码认证通过"),
    刷卡加指纹认证通过("28", "刷卡加指纹认证通过"),
    指纹加密码认证通过("2e", "指纹加密码认证通过"),
    人脸加指纹认证通过("36", "人脸加指纹认证通过"),
    人脸加密码认证通过("39", "人脸加密码认证通过"),
    人脸加刷卡认证通过("3c", "人脸加刷卡认证通过"),
    人脸加密码加指纹认证通过("3f", "人脸加密码加指纹认证通过"),
    人脸加刷卡加指纹认证通过("42", "人脸加刷卡加指纹认证通过"),
    工号加指纹认证通过("45", "工号加指纹认证通过"),
    工号加指纹加密码认证通过("48", "工号加指纹加密码认证通过"),
    工号加人脸认证通过("4d", "工号加人脸认证通过"),
    刷卡加指纹加密码认证通过("2b", "刷卡加指纹加密码认证通过");
    private String value;
    private String desc;

    DwMinorEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static DwMinorEnum getByValue(String value) {
        for (DwMinorEnum checkResultEnum : DwMinorEnum.values()) {
            if (checkResultEnum.getValue() == value) {
                return checkResultEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (DwMinorEnum item : DwMinorEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}